/convert:
  post:
    operationId: 
      convert
    tags:
      - DocumentConverter
    summary:
      convert
    description: 
      Stateless conversion of a source document to a target format.
      The conversion result data is given back as an archive in the file case as well as in the JSON case.
    parameters:
      - $ref: "#/components/parameters/async"
      - $ref: "#/components/parameters/autoscale"
      - $ref: "#/components/parameters/cacheonly"
      - $ref: "#/components/parameters/firstpageonly"
      - $ref: "#/components/parameters/hidechanges"
      - $ref: "#/components/parameters/hidecomments"
      - $ref: "#/components/parameters/nocache"
      - $ref: "#/components/parameters/priority"
      - $ref: "#/components/parameters/returntype"
      - $ref: "#/components/parameters/targetformat"
      - $ref: "#/components/parameters/url"
      - $ref: "#/components/parameters/userrequest"
    requestBody:
      content:
        multipart/form-data:
          # any media type is accepted, functionally equivalent to `*/*`
          schema:
            # a binary file of any type;
            # the multipart/form-data field name has to be set to 'sourcefile'
            type: object
            properties:
              file:
                type: string
                format: binary
    responses:
      200:
        description:
          DocumentConverter server status 'ok', returning the result document, 
          that is directly written into the output stream or given as base64 encoded 
          data URL within the JSON response, if indicated by the request.
        content:
          # a binary file of any type
          application/octet-stream:
            schema:
                type: string
                format: binary
          application/json:
            schema:
              $ref: '#/components/schemas/jsonResponse'
      500:
        description: DocumentConverter server response in case of an error.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/jsonResponse'
